> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview.md).

# SaaS API Overview

Overview of the Haut.AI SaaS API: endpoints for datasets, algorithms, subjects, and product recommendations, plus how deprecation works.

### API Overview

Welcome to the SaaS API documentation. This page provides an overview of the API endpoints and their functionalities. Whether you are looking to authenticate, manage user data, or interact with our services, you'll find all the necessary details here.

For detailed API specifications, please refer to our [Swagger Documentation](https://saas.haut.ai/api/swagger/).

### API Calls

We define as API calls the results of algorithms calculation.

By default Face Skin Metrics 2.0 produces 17 API calls per 1 uploaded image.

### Deprecation process

Adoption period: 1 year

* we add new algorithm (it becomes available for new datasets)
* we announce that old algorithm is deprecated
* to adopt the new algorithm, you can do it yourself via API or ask support
* after everybody has adopted the new algorithm and discarded the old one, the old algorithm is disabled (but don't worry, if you can't adopt the new one during the adoption period, we will still continue hosting the old one until you can adopt the new algorithm)

## Datasets

Collection of subjects (your app users).

[Entity documentation](https://docs.saas.haut.ai/haut.ai/saas-features/datasets)

[Swagger](https://saas.haut.ai/api/swagger/#/Datasets)

Contains datasets management methods: create, list, retrieve, update, delete.

## Algorithms

Sets of image processing algorithms, working together.

[Entity documentation](https://docs.saas.haut.ai/haut.ai/saas-features/algorithms)

[Swagger](https://saas.haut.ai/api/swagger/#/Algorithms%20applications)

Contains algorithms applications management methods: list available algorithms applications, attach algorithms applications to datasets.

## Subjects

Collection of image batches.

[Entity documentation](https://docs.saas.haut.ai/haut.ai/saas-features/datasets/subjects)

[Swagger](https://saas.haut.ai/api/swagger/#/Subjects)

## Products recommendations

Recommended products (inventory items) for image.

[Entity documentation](https://docs.saas.haut.ai/haut.ai/saas-features/products-recommendation)

[Swagger](https://saas.haut.ai/api/swagger/#/Recommended%20products)

## Metrics and Submetrics

Metrics and Submetrics produced by algorithms.

[Swagger](https://saas.haut.ai/api/swagger/#/Metrics%20and%20submetrics)

## Integrate with external platforms with webhooks

You can create or update webhook here and list webhooks for dataset (only allowed to have 1 per dataset).

[Entity documentation](https://docs.saas.haut.ai/haut.ai/saas-features/integrate-with-external-platforms-via-webhooks)

[Swagger](https://saas.haut.ai/api/swagger/#/Webhooks)

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
